org.red5.io.amf3

## Class Input.PendingObject

- java.lang.Object
- - org.red5.io.amf3.Input.PendingObject

Enclosing class:
  Input

    protected static class Input.PendingObject
    extends Object

Dummy class that is stored as reference for objects currently being deserialized that reference themselves.

### Constructor Summary

Constructors
Constructor and Description
`Input.PendingObject()`

### Method Summary

Methods
`void` `addPendingProperty(Object obj, Class<?> klass, String name)`
`void` `resolveProperties(Object result)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Input.PendingObject

    public Input.PendingObject()

### Method Detail

#### addPendingProperty

    public void addPendingProperty(Object obj,
                          Class<?> klass,
                          String name)

#### resolveProperties

    public void resolveProperties(Object result)